Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.filter.gbf
Class GBFTagBuilders

    java.lang.Object
      org.crosswire.jsword.book.filter.gbf.GBFTagBuilders

    public final class GBFTagBuilders

extends Object

This class is a convenience to get GBF Tags. The best place to go for more information about the GBF spec that I have found is: http://ebible.org/bible/gbf.htm

Author:
  Joe Walker, DM Smith
See Also:
  `The GNU Lesser General Public License for details.`

Nested Class Summary
`(package private) static class` | `GBFTagBuilders.BoldStartTagBuilder`
`(package private) static class` | `GBFTagBuilders.BookTitleStartTagBuilder`
`(package private) static class` | `GBFTagBuilders.CrossRefStartTagBuilder`
`(package private) static class` | `GBFTagBuilders.DefaultEndTagBuilder`
`(package private) static class` | `GBFTagBuilders.EndOfLineTagBuilder`
`(package private) static class` | `GBFTagBuilders.EscapeTagBuilder`
`(package private) static class` | `GBFTagBuilders.FootnoteEndTagBuilder`
`(package private) static class` | `GBFTagBuilders.FootnoteStartTagBuilder`
`(package private) static class` | `GBFTagBuilders.HeaderStartTagBuilder`
`(package private) static class` | `GBFTagBuilders.IgnoredTagBuilder`
`(package private) static class` | `GBFTagBuilders.ItalicStartTagBuilder`
`(package private) static class` | `GBFTagBuilders.JustifyRightTagBuilder`
`(package private) static class` | `GBFTagBuilders.OTQuoteStartTagBuilder`
`(package private) static class` | `GBFTagBuilders.ParagraphTagBuilder`
`(package private) static class` | `GBFTagBuilders.PoetryStartTagBuilder`
`(package private) static class` | `GBFTagBuilders.PsalmTitleStartTagBuilder`
`(package private) static class` | `GBFTagBuilders.RedLetterStartTagBuilder`
`(package private) static class` | `GBFTagBuilders.StrongsMorphTagBuilder`
`(package private) static class` | `GBFTagBuilders.StrongsWordTagBuilder`
`(package private) static class` | `GBFTagBuilders.TextFootnoteTagBuilder`
`(package private) static class` | `GBFTagBuilders.TitleStartTagBuilder`
`(package private) static class` | `GBFTagBuilders.UnderlineStartTagBuilder`

Field Summary
`private static Map<String,TagBuilder>` | `BUILDERS` The `BUILDERS` maps the 2 letter GBF tag to a class that proxies for the tag.
`private static org.slf4j.Logger` | `log` The log stream

Constructor Summary
`private` | `GBFTagBuilders()`

Method Summary
`static Tag` | `getTag(Book book, Key key, String name)`
`static Tag` | `getTextTag(String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUILDERS

    private static final Map<String,TagBuilder> BUILDERS

  The `BUILDERS` maps the 2 letter GBF tag to a class that proxies for the tag.

### log

    private static final org.slf4j.Logger log

  The log stream

Constructor Detail

### GBFTagBuilders

    private GBFTagBuilders()

Method Detail

### getTag

    public static Tag getTag(Book book,
                             Key key,
                             String name)

  Parameters:
    `book` - the book
    `key` - the key
    `name` - the tag name
  Returns:
    return a GBF Tag for the given tag name

### getTextTag

    public static Tag getTextTag(String text)

  Parameters:
    `text` -
  Returns:
    get a Text Tag object containing the text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD